@echo off
@echo Installing GME beacon dealer software ...
@echo Please wait, this will be followed by USB driver installation.
@ds0023\setup.exe
if %ERRORLEVEL% neq 0 goto error
if %ERRORLEVEL% equ 0 goto continue
:error
@echo Installation incomplete, please try again.
Pause
goto exit


:continue
ver | find "2003" > nul
if %ERRORLEVEL% == 0 goto windows_2003

ver | find "XP" > nul
if %ERRORLEVEL% == 0 goto windows_xp

ver | find "2000" > nul
if %ERRORLEVEL% == 0 goto windows_2000

ver | find "Version 6.0" > nul
if %ERRORLEVEL% == 0 goto windows_vista

ver | find "Version 6.1" > nul
if %ERRORLEVEL% == 0 goto windows_7
ver | find "Version 6.2" > nul
if %ERRORLEVEL% == 0 goto windows_8
ver | find "Version 6.3" > nul
if %ERRORLEVEL% == 0 goto windows_8
ver | find "Version 10.0" > nul
if %ERRORLEVEL% == 0 goto windows_10



:windows_vista
:windows_2003
:windows_xp

@echo Installing USB driver for Windows 2003/XP/Vista/Win 7...
  if %PROCESSOR_ARCHITECTURE%==x86 (
    @USB\CP210xVCPInstaller_x86.exe
    rem 32 bit
  )  else (
    @USB\CP210xVCPInstaller_x64.exe
    rem 64 bit
  )

rem @USB\CP210x_VCP_Win_XP_S2K3_Vista_7.exe
goto exit



:windows_2000

@echo Installing USB driver for Windows 2000...
@USB\CP210x_VCP_Win2K.exe
goto exit


:windows_7
:windows_8
:windows_10

@echo Installing USB driver for Windows 7/8/8.1/10...
  if %PROCESSOR_ARCHITECTURE%==x86 (
    @USB_win7_8_10\CP210xVCPInstaller_x86.exe
    rem 32 bit
  )  else (
    @USB_win7_8_10\CP210xVCPInstaller_x64.exe
    rem 64 bit
  )



@echo Installing bPAC SDK Client...
@brother\bPAC3CCISetup.msi


goto exit



:exit